from datetime import date

from lunarcalendar import Lunar  # type: ignore

from .base import HolidayGenerator


class LunarNewYearGenerator(HolidayGenerator):
    def date_gen(self, after: date):
        cur_date = Lunar.from_date(after)

        while True:
            if (cur_date.month, cur_date.day) == (1, 1):
                yield cur_date.to_date()
            cur_date = Lunar(cur_date.year + 1, 1, 1)


LunarNewYear = LunarNewYearGenerator()
