from datetime import timedelta

from . import base

Christmas = base.StableDateGenerator(12, 25)
ChristmasEve = base.StableDateGenerator(12, 24)
ChristmasObserved = base.NearestWeekdayGenerator(Christmas)

Easter = base.DateUtilEasterGenerator()
GoodFriday = base.HolidayRelativeGenerator(Easter, timedelta(days=-2))
AshWednesday = base.HolidayRelativeGenerator(Easter, timedelta(days=-46))
PalmSunday = base.HolidayRelativeGenerator(Easter, timedelta(days=-7))

__all__ = [
    "Christmas",
    "ChristmasEve",
    "Easter",
    "GoodFriday",
    "AshWednesday",
    "PalmSunday",
]
